# Class: Haml::Filters::Plain

Inherits:
  Base
  - Object
  - Base
  - Haml::Filters::Plain
  show all

Defined in:
  lib/haml/filters/plain.rb

## Instance Method Summary collapse

- #compile(node)

### Methods inherited from Base

#initialize

## Constructor Details

This class inherits a constructor from Haml::Filters::Base

## Instance Method Details

### #compile(node)

    7
    8
    9
    10
    11

    # File 'lib/haml/filters/plain.rb', line 7

    def compile(node)
      text = node.value[:text]
      text = text.rstrip unless ::Haml::Util.contains_interpolation?(text) # for compatibility
      [:multi, [:newline], *compile_plain(text)]
    end